#pragma once

#include "level/entity.h"
#include <cstdint>

namespace game{

namespace entityManager{

void init();
void free();

void add(entity*);
void remove(entity*);

void setGameSpeed(uint32_t);
uint32_t getGameSpeed();

void draw();

}


}
